Bug 227500 - audio/mous: update to 2.0.1
Summary: audio/mous: update to 2.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-13 15:26 UTC by Yanhui Shen
Modified: 2018-04-29 09:24 UTC (History)
1 user (show)

See Also:


Attachments
svn diff (15.03 KB, patch)
2018-04-13 15:26 UTC, Yanhui Shen
no flags Details | Diff
poudriere testport (183.84 KB, text/plain)
2018-04-13 15:27 UTC, Yanhui Shen
no flags Details
svn diff -- updated (14.35 KB, patch)
2018-04-21 13:03 UTC, Yanhui Shen
no flags Details | Diff
svn diff -- updated (14.32 KB, patch)
2018-04-21 13:21 UTC, Yanhui Shen
no flags Details | Diff
mous.diff (14.32 KB, patch)
2018-04-28 12:59 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yanhui Shen 2018-04-13 15:26:18 UTC
Created attachment 192495 [details]
svn diff
Comment 1 Yanhui Shen 2018-04-13 15:27:47 UTC
Created attachment 192496 [details]
poudriere testport
Comment 2 Tobias Kortkamp freebsd_committer 2018-04-14 08:57:10 UTC
Thanks for your submission.

While this looks mostly ok to me there here are couple of things that
could be improved.  Can you submit an updated patch?

+MASTER_SITES=	GH

USE_GITHUB=yes already implies the same, so this can be removed.

+PORTVERSION=	2.0.1
+DISTVERSIONPREFIX= v
...
+GH_TAGNAME=	v2.0.1

Remove GH_TAGNAME.  DISTVERSIONPREFIX + PORTVERSION already sets it to
the same value.

+CMAKE_ARGS+=	-DWITH_PLUGIN_ALSA=0 \
+		-DWITH_PLUGIN_LIBAO=0 \
+		-DWITH_PLUGIN_COREAUDIO=0 \
+		-DWITH_PLUGIN_FAAC=0 \
+		-DWITH_PLUGIN_FAAD=0 \
+		-DWITH_PLUGIN_WMA=0

This should use CMAKE_OFF i.e.

CMAKE_OFF=	WITH_PLUGIN_ALSA \
		WITH_PLUGIN_LIBAO \
		WITH_PLUGIN_COREAUDIO \
		WITH_PLUGIN_FAAC \
		wITH_PLUGIN_FAAD \
		WITH_PLUGIN_WMA

+SNDIO_CMAKE_ON=		-DWITH_PLUGIN_SNDIO=1
+SNDIO_CMAKE_OFF=	-DWITH_PLUGIN_SNDIO=0

This can be replaced by the much easier to read

SNDIO_CMAKE_BOOL=	WITH_PLUGIN_SNDIO

This also applies to all the other *_CMAKE_{ON,OFF} pairs.

+USES=		cmake:outsource,noninja compiler:c++14-lang

Why is noninja needed?  Having a small comment in the Makefile to
explain why it's needed is always nice.

+INSTALL_TARGET=	install/strip

This can probably be removed too.  Uses/cmake.mk already sets it.
Comment 3 Yanhui Shen 2018-04-21 13:03:41 UTC
Created attachment 192697 [details]
svn diff -- updated
Comment 4 Yanhui Shen 2018-04-21 13:04:51 UTC
(In reply to Tobias Kortkamp from comment #2)
Thanks for the review, I have the patch updated.
Comment 5 Yanhui Shen 2018-04-21 13:21:37 UTC
Created attachment 192698 [details]
svn diff -- updated
Comment 6 Tobias Kortkamp freebsd_committer 2018-04-28 12:58:18 UTC
(In reply to Yanhui Shen from comment #4)
It doesn't build on 10.4/i386:

https://people.freebsd.org/~tobik/logs/104i386/mous-2.0.1.log
Comment 7 Tobias Kortkamp freebsd_committer 2018-04-28 12:59:31 UTC
Created attachment 192871 [details]
mous.diff

Current port version after some cleanups and a build fix for QT5.
Comment 8 Yanhui Shen 2018-04-28 14:07:41 UTC
(In reply to Tobias Kortkamp from comment #7)

I Found a typo in my original patch, now at line 22:
DWITH_PLUGIN_COREAUDIO => WITH_PLUGIN_COREAUDIO

The build error is related to SSE2 assembly, I tend to mark option "MAC" as amd64 only.
Comment 9 commit-hook freebsd_committer 2018-04-29 09:17:58 UTC
A commit references this bug:

Author: tobik
Date: Sun Apr 29 09:17:17 UTC 2018
New revision: 468613
URL: https://svnweb.freebsd.org/changeset/ports/468613

Log:
  audio/mous: Unbreak and update to 2.0.1

  Changes:	https://github.com/bsdelf/mous/releases
  PR:		227500
  Submitted by:	Yanhui Shen <shen.elf@gmail.com> (maintainer, based on)

Changes:
  head/audio/mous/Makefile
  head/audio/mous/distinfo
  head/audio/mous/files/
  head/audio/mous/pkg-descr
  head/audio/mous/pkg-message
  head/audio/mous/pkg-plist
Comment 10 Tobias Kortkamp freebsd_committer 2018-04-29 09:24:16 UTC
Committed. Thanks!

My first commit attempt was blocked by the pre-commit hook because distinfo was
missing a TIMESTAMP.  Please make sure to use `make makesum` to generate 
distinfo.

(In reply to Yanhui Shen from comment #8)
> The build error is related to SSE2 assembly, I tend to mark option "MAC" as amd64 only.

I disabled SSE2 assembly on i386 instead of marking MAC amd64 only.